/v1/apps/visualization

Prev Next
Post
/v1/apps/visualization

Get the app and circuit visualization info for the device

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Body parameters
Expand All
object
circuitName
string

Circuit name is specified if circuit apps utilization data is desired.

Exampleexample string
deviceId
integer (int64)
Example1234567891011
isDia
boolean
Exampletrue
slaClass
string

SLA class is specified if queue apps utilization data is desired. Circuit name must be provided.

ExampleENUM_VALUE
timeWindow
object (statsmonTimeWindow)
bucketSizeSec
integer (int32) Required

the size of the time window in seconds (required)

Minimum0
Example300
oldTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
recentTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
Responses
200

OK

Expand All
object
appHealth
object
property*
integer (int32) additionalProperties
Minimum0
Example123
appsOnDeviceCount
integer (int32)
Minimum0
Example123
appsVisualization
Array of object (ipfixAppVisualization)
object
appId
integer (int32)
Minimum0
Example123
appName
string
Exampleexample string
circuitAvailability
object
property*
integer (int32) additionalProperties
Minimum0
Example123
circuitMap
object
property*
object (ipfixCircuitMetrics) additionalProperties
name
string

circuit name

Exampleexample string
slaClass
string
ExampleENUM_VALUE
stats
object (ipfixTwampMetrics)
healthAvg
string

calculated health average (over time window)

ExampleENUM_VALUE
jitter
number (double)

Jitter in ms

Example123.45
latency
number (double)

Latency in ms

Example123.45
loss
number (float)

Loss in percentage

Example12.34
mos
number (float)
Example12.34
status
string

calculated status (last measured value)

ExampleENUM_VALUE
usage
number (double)

usage of the circuit by the application in kilo bytes

Example123.45
usagePct
number (float)
Example12.34
currentStatus
string

current status of the app.

ExampleENUM_VALUE
averageQoe
number (double)
Example123.45